import React from 'react'
import Icon from 'cozy-ui/react/Icon'

interface StyledIconProps {
  className?: string
  icon: string
  size?: number
}

const StyledIcon: React.ComponentType<StyledIconProps> = ({
  className = '',
  icon,
  size = 16,
}: StyledIconProps) => {
  return <Icon className={className} icon={icon} size={size} />
}

export default StyledIcon
